name: Dev Version
run-name: ${{ github.actor }} is testing
on:
  push:
    tags:
      - '*'
jobs:
  Release:
    runs-on: docker
    #container:
    #  image: goreleaser/goreleaser
    steps:
      - uses: actions/checkout@v3
        with:
          fetch-depth: 0
      #- run: goreleaser release --skip-publish --snapshot --rm-dist --debug
      - name: Setup Go environment
        uses: https://github.com/actions/setup-go@v2.1.3
        with:
          go-version: 1.20
      - name: Run GoReleaser
        uses: https://github.com/goreleaser/goreleaser-action@v4
        with:
          # either 'goreleaser' (default) or 'goreleaser-pro'
          distribution: goreleaser
          version: latest
          args: release --clean
        env:
          GITEA_TOKEN: ${{ secrets.TOKEN }}
          GORELEASER_FORCE_TOKEN: "gitea"
      - name: Copy deb to publish folder
        run: mkdir publish; cp dist/softwatch_linux_amd64_v1/softwatch publish/softwatch_linux_amd64; cp dist/softwatch_linux_arm_7/softwatch publish/softwatch_linux_arm_7
      - name: Upload to s3
        uses: https://github.com/shallwefootball/s3-upload-action@master
        with:
          aws_key_id: ${{ secrets.AWS_KEY_ID }}
          aws_secret_access_key: ${{ secrets.AWS_SECRET_ACCESS_KEY}}
          aws_bucket: 'kekscloud-releases'
          source_dir: 'publish/'
          destination_dir: 'softwatch/'
          endpoint: 's3.eu-central-003.backblazeb2.com'
